/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/include/test.h"

#define NB_PARAMS 4

void usage (string exec)
{
  cerr << "<Usage> " << exec << " name_instance list_params" << endl
       << "list_params is :" << endl
       << " - nb_entity  (unsigned int)" << endl
       << " - nb_access  (unsigned int)" << endl
       << " - nb_update  (unsigned int)" << endl
       << " - size_table (unsigned int)" << endl;
  exit (1);
}

#ifndef SYSTEMC
int main    (int argc, char * argv[])
#else
int sc_main (int argc, char * argv[])
#endif
{
  if (argc != 2+NB_PARAMS)
    usage (argv[0]);

  const string   name       = argv[1];
  const uint32_t nb_entity  = atoi(argv[2]);
  const uint32_t nb_access  = atoi(argv[3]);
  const uint32_t nb_update  = atoi(argv[4]);
  const uint32_t size_table = atoi(argv[5]);
  
  morpheo::behavioural::generic::victim::victim_pseudo_lru::Parameters param (nb_entity ,
								       nb_access ,
								       nb_update ,
								       size_table);

  test (name,param);

  return (EXIT_SUCCESS);
}
